Subject: RE: Having problems to start cygwin
From: David Starks-Browning <[email-masked]>
To: Peter Buckley <[email-masked]>, Karl Johan Larsson <[email-masked]>
Cc: [email-masked]
Date: Tue, 3 Jul 2001 17:03:54 +0100

On Tuesday 3 Jul 01, Peter Buckley writes:
> This is probably in the faq or readme on installation. 
> Did you follow all the instructions to install?-
> 
> DOCS:                  http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 
> My first bet would be that you don't have C:\cygwin\bin
> in your system PATH variable. 

This should not be necessary.

> I don't have win2k, so I don't know if setting the PATH 
> variable is the same as NT- but I am pretty sure you 
> will need to reboot for the new setting to take effect.
> 
> In NT, I right click on "My Computer" and choose "Properties."
> Then I click the "Environment" tab, and select the PATH variable 
> from the list of system variables. I add C:\cygwin\bin at the end, 
> separated by a semi-colon.

Again, this should not be necessary.  PATH should be set automatically
by /etc/profile.

As to the original problem:

> -----Original Message-----
> From: Karl Johan Larsson [mailto:[email-masked]]
> Sent: Tuesday, July 03, 2001 9:19 AM
> To: [email-masked]
> Subject: Having problems to start cygwin 
> 
> I downloaded cygwin (all packages) on to my machine just to get to
> know the bash shell a bit better (I don't have access to a UNIX
> machine so I figured that this was my way to learn something about
> sell scripting). I am running Win 2000 on this machine
> 
> Installation seemed to work fine but when I try to start the
> application (by executing the cygwin.bat-file from cmd prompt) i get
> the return message:
> 'bash' is not recognized as an internal or external command, operable
> program or batch file.

The code in C:\cygwin\cygwin.bat (or wherever it resides for your
installation) should ensure that 'bash' is found.  What's in there?
Does it correspond with where you installed Cygwin?

Regards,
David

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/